<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>
<?xbl href="bindings.xml"?>
<html><head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>X-Smiles.org</title>

<link href="xsmiles_style.css" type="text/css" rel="stylesheet">
<link href="xsmiles_style.html" type="text/css" rel="stylesheet">
<style type="text/css">
					td.nav, table.nav, tr.nav,td.contentarea {vertical-align: top; border-width:0px;}
				</style><!--NOTE: THIS FILE IS AUTOMATICALLY GENERATED BY XSL, DO NOT EDIT BY HAND. EDIT FEATURES.XML INSTEAD AND RUN 'build.sh sitedoc--></head><body>
<img alt="X-SMILES.ORG" src="xsmiles.gif"><table class="nav">
<tbody><tr class="nav">
<td class="nav" style="vertical-align: top; width: 100pt;">
<div id="navbar" class="navbar">
     <div>
     <p id="link-xsmiles" class="link">
      <a class="linkmain" href="index.html">X-Smiles</a>
     </p>
     <p id="link-objectives" class="link">
      <a class="linkmain" href="xsmiles_objectives.html">Objectives</a>
     </p>
     <p id="link-contributors" class="link">
      <a class="linkmain"  href="contributors.html">Contributors</a>
     </p>
     <p id="link-screenshots" class="link">
      <a class="linkmain" href="screenshots.html">Screenshots</a>
     </p>
     <p id="link-downloads" class="link">
      <a class="linkmain" href="download.html">Download</a>
     </p>
     <p id="link-documents" class="link">  
      <a class="linkmain">Documents</a>
      <a class="linksub1" href="xsmiles_features.html">Features</a> 
      <a class="linksub1" href="xsmiles_installation.html">Installation</a>
      <a class="linksub1" href="platforms.html">Platforms</a>
      <a class="linksub1" href="xsmiles_faq.html">FAQ</a>
      <a class="linksub1" href="xsmiles_test.html">Testimonials</a>
     </p>
     <p id="link-developers" class="link">
      <a class="linkmain">Developer Area</a>
      <a class="linksub1" href="participate.html">Participating</a>
      <a class="linksub1" href="techspec.html">Technical Spec</a>
      <a class="linksub1" href="xsmiles_compiling.html">How to compile</a>
      <a class="linksub1" href="xsmiles_future.html">Projects</a>
      <a class="linksub1" href="http://www.xsmiles.org/javadoc/index.html">Javadoc</a>
      <a class="linksub1" href="cvs.html">CVS access</a>
      <a class="linksub1" href="xsmiles_smil.html">SMIL package</a>
      <a class="linksub1" href="http://www.xsmiles.org/demo/demos.xhtml">Demos</a>
     </p>
     <p id="link-reading" class="link">
      <a class="linkmain">Reading</a>
      <a class="linksub1" href="presentations.html">Presentations</a>
      <a class="linksub1" href="publications.html">Publications</a>
     </p>
     <p id="link-feedback" class="link">
      <a class="linkmain">Feedback</a>
      <a class="linksub1" href="http://sourceforge.net/bugs/?group_id=18700"> Bugs</a>
      <a class="linksub1" href="xsmiles_lists.html">Mailing lists</a>
     </p>
    </div>
    </div>

</td><td class="contentarea">
<div class="contentarea">
<h1>Platforms<br>
</h1>
<h2>General</h2>
<p>X-Smiles is completely written in Java2, and works completely in
(Sun/IBM) JDK 1.2-1.4 and partially in JDK 1.1.8 &amp; Kaffe 1.0.6 (no
SVG/X3D support), X-Smiles has been developed and tested in Windows
95/98/NT/2000 and Linux. Outside the development team, the software has
succesfully been used in Mac. We'd be glad to hear of both successes
and failures in installation in different configurations.<br>
</p>
<h2>JDK1.1</h2>
<p>Only part of the browser can be run in jdk1.1 with the swing
package. The main feature set here is SMIL+XForms. There is a special
build target for building for jdk1.1.<br>
</p>
<h2>JDK1.2 - 1.4.1</h2>
<p>All of the browser's features should be runnable in these versions.
There might be some problems with dynamic XHTML+XForms with JDK1.2-1.3,
since Swing contains some bugs related to components within a Document.
There is also a XForms focus problem in JDK1.4.1 when using multiple
consequtive inputs inline.<br>
</p>
<h2>JDK 1.4.2 beta-1.5.0beta2<br>
</h2>X-Smiles should run with these versions of the JDK. Normally this
JDK runs with an incompatible version of xalan.jar (and 1.5.0beta2,
xml-apis.jar), but it should nonetheless work because xsmiles.bat runs
xsmiles with the command:<br>
<pre>java -Xmx200m -Djava.endorsed.dirs=lib/endorsed<br>  -cp %CLASSPATH%;xsmiles.jar fi.hut.tml.xsmiles.Xsmiles<br>
</pre>
<p>Remember to add the "-Djava.endorsed.dirs=lib/endorsed" switch, if you start it without the shell script or bat.<br>
</p>
<h2>JDK 1.5.0.05 or later<br>
</h2>
<p>X-Smiles runs out of the box in this JDK</p>
<h2>J2ME Personal Profile<br>
</h2>
<p>A subset of X-Smiles runs on top of AWT and J2ME personal profile. For instructions on how to compile and run, see <a href="http://www.xsmiles.org/xsmiles_faq.html">the FAQ</a>.<br>
</p>
<p style="text-align: center;">
<img src="platforms_files/embedded1.png" alt="j2me pp xsmiles" style="width: 661px; height: 510px;"><br>
</p>
<p style="text-align: center;">A Screenshot of X-Smiles running in SUN's reference implementation of J2ME personal profile.<br>
</p>
<h2>Nokia 9500 Communicator</h2>X-Smiles with XHTML + XForms Basic +
Timesheets can be run in the Nokia 9500 communicator, which uses&nbsp;
IBM's J9 Virtual Machine (J2ME Personal Profile).<br>
<p style="text-align: center;">
<img src="platforms_files/nokia9500_mid_term_1024.jpg" alt="j2me pp xsmiles"><br>
</p>
<div style="text-align: center;">X-Smiles in Nokia 9500 Communicator<br>
</div>
<h2>In another Web browser (Mozilla) as an applet</h2>You can deploy
your XForms, timesheets, e.g. pages using X-Smiles as an applet in
another Web browser, which supports applets. To see a demo follow <a href="http://sinex.tml.hut.fi/nightly/applet-swing/xsmilesapplet-swing.html" class="moz-txt-link-freetext">this link.</a>
<br>
<br>
<div style="text-align: center;">
<img src="platforms_files/xsmiles_applet.png" alt="xsmiles running in an applet"><br>
</div>
<br>At least XForms, SMIL, XML+CSS, Timesheets should work. This gives you <br>the possibility to deploy these pages without installing anything in the <br>client (Java Plugin must be installed). <br>
<br>Tested in Mozilla and Sun Java Plugin 1.4. Should work with other <br>versions and browsers as well. <br>
<br>Note that Applets cannot read URLs that are located in a different <br>server than where the applet was launched from. It is possible to <br>compile the applet code using the "jar-applet-swing" target in build.xml <br>and then add the applet to your own page. <br>
<h2>Launching using Java Web Start (tm)</h2>You can launch X-Smiles nightly build using <a href="http://java.sun.com/products/javawebstart/">Java Web Start</a>, which is included in SUN's java environments after 1.4.0. Currently, you can launch the <a href="http://sinex.tml.hut.fi/">nightly build of X-Smiles</a> using this technology. It is also possible to build the web start launcher and add it to your own page.<br>
<br>
<h2>IPAQ+SavaJe<br>
</h2>
<div style="text-align: center;">
<img style="width: 330px; height: 432px;" alt="" title="" src="platforms_files/xsmiles_mobile.jpg"><br>X-Smiles running on mobile device<br>
</div>
<p>We have installed and run X-Smiles in Compaq IPAQ + SavaJe. For instructions on how to install, please refer to the <a href="http://www.xsmiles.org/configuration2.html">configurations</a> document.</p>
<h2>Digital Television&nbsp;</h2>We are currently porting a limited
version on X-Smiles to a Mobile Home Platform (MHP) conformant Digital
Television set-top-box. We will have some SMIL+XForms support in that
version. <br>
<div style="text-align: center;">
<img style="width: 389px; height: 318px;" alt="" title="" src="platforms_files/xsmiles_mhp.jpg"><br>
</div>
<br>
<br>
<hr>
		  Copyright (c) 2000-2007 X-Smiles.org et.al.
	</div>
</td>
</tr>
</tbody></table>
</body></html>